{
  "channel": "<%= ENV['SLACK_CHANNEL'] %>",
  "username": "Failed Jobs Reporter",
  "icon_emoji": ":news:",
  "text": "*<%= title %>*",
  "blocks": [
    {
      "type": "section",
      "text": {
        "type": "mrkdwn",
        "text": "*<%= title %>*"
      }
    },
    { "type": "divider" },
    <% if data.empty? %>
      {
        "type": "section",
        "text": {
          "type": "mrkdwn",
          "text": "No failed jobs in the past <%= hours %> hours"
        }
      }
    <% else %>
      {
        "type": "section",
        "text": {
          "type": "mrkdwn",
          "text": "<%= failed_jobs_count %> failed jobs in the past <%= hours %> hours"
        }
      },
      {
        "type": "section",
        "fields": [
          {
            "type": "mrkdwn",
            "text": "_job_"
          },
          {
            "type": "mrkdwn",
            "text": "_created_at_"
          }
        ]
      },

      <% if group_by_mr %>
        <% data.each do |mr_iid, jobs| %>
          { "type": "divider" },

          <% jobs.sort_by { |job| job.created_at }.reverse.each do |job| %>
            {
              "type": "section",
              "fields": [
                <% if mr_iid %>
                  {
                    "type": "mrkdwn",
                    "text": "<<%= job.mr_web_url %>|!<%= mr_iid %>> - <<%= job.web_url %>|<%= job.id %>>"
                  },
                <% else %>
                  {
                    "type": "mrkdwn",
                    "text": "<<%= job.web_url %>|<%= job.id %>>"
                  },
                <% end %>
                {
                  "type": "mrkdwn",
                  "text": "<%= job.created_at %>"
                }
              ]
            },
          <% end %>
        <% end %>
      <% else %>
        <% data.each do |job| %>
          {
            "type": "section",
            "fields": [
              {
                "type": "mrkdwn",
                "text": "<<%= job.web_url %>|<%= job.id %>>"
              },
              {
                "type": "mrkdwn",
                "text": "<%= job.created_at %>"
              }
            ]
          },
        <% end %>
      <% end %>

    { "type": "divider" }

    <% end %>
  ]
}
